com.fasterxml.jackson.dataformat.avro.schema

## Class AvroSchemaGenerator

- java.lang.Object
- - com.fasterxml.jackson.dataformat.avro.schema.VisitorFormatWrapperImpl
  - - com.fasterxml.jackson.dataformat.avro.schema.AvroSchemaGenerator

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWithSerializerProvider, com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper

      public class AvroSchemaGenerator
      extends VisitorFormatWrapperImpl

  Class that can generate an `AvroSchema` for a given Java POJO, using definitions Jackson would use for serialization. An instance is typically given to `ObjectMapper.acceptJsonFormatVisitor(java.lang.Class<?>, com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper)` which will invoke necessary callbacks.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper

      `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper.Base`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.dataformat.avro.schema.VisitorFormatWrapperImpl

      `_builder, _provider, _schemas, _valueSchema`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroSchemaGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AvroSchema` | `getGeneratedSchema()`

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.avro.schema.VisitorFormatWrapperImpl

      `_throwUnsupported, _throwUnsupported, expectAnyFormat, expectArrayFormat, expectAvroFormat, expectBooleanFormat, expectIntegerFormat, expectMapFormat, expectNullFormat, expectNumberFormat, expectObjectFormat, expectStringFormat, getAvroSchema, getProvider, setProvider`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AvroSchemaGenerator

          public AvroSchemaGenerator()

  - ### Method Detail

    - #### getGeneratedSchema

          public AvroSchema getGeneratedSchema()

Copyright © 2019 FasterXML. All rights reserved.